## db_enum

### Verwendung

Sie lassen sich die Liste aller auf dem Datenbankrechner registrierten Datenbankinstanzen anzeigen.

Die Anzeige erfolgt in Form einer Tabelle. Die einzelnen Spalten sind durch Tabulatoren voneinander getrennt.

### Voraussetzungen

Für die Ausführung dieses DBM-Kommandos ist keine Anmeldung an den Database Manager erforderlich.

Es ist auch keine Serverberechtigung erforderlich.

### Syntax

db_enum [-s]

-s | Sie erhalten auch die Service-Datenbankinstanzen angezeigt.

### Antwort

OK

<database_name><TAB><dependent_path><TAB><database_version><TAB><kernel_version><TAB><operational_state>

<database_name><TAB><dependent_path><TAB><database_version><TAB><kernel_version><TAB><operational_state>

...

Werte für die Felder der Antwort

Wert | Beschreibung
<database_name> | Name der Datenbankinstanz
<dependent_path> | Verzeichnis, das die von der Datenbankversion abhängige Server-Software enthält
<database_version> | Version der Datenbanksoftware
<kernel_version> | Kernvariante
<operational_state> | Betriebszustand der Datenbankinstanz

### Beispiel

Aufrufen des Database Manager CLI, Anzeigen der Liste aller auf dem Rechner GENUA registrierten Datenbankinstanzen.:

`dbmcli –n GENUA db_enum`

OK

DEMODB C:\Program Files\sdb\DEMODB 7.6.00.10 fast running

DEMODB C:\Program Files\sdb\DEMODB 7.6.00.10 slow offline